// KanjiPen.h: interface for the CKanjiPen class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KANJIPEN_H__8D704AF8_9CA5_433E_95CD_6C1C60370088__INCLUDED_)
#define AFX_KANJIPEN_H__8D704AF8_9CA5_433E_95CD_6C1C60370088__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stroke.h"

int Angle32(int xdif, int ydif);

class CKanjiPen  
{
public:
	CKanjiPen();
	virtual ~CKanjiPen();

	long StrokeScorerEvalItem(TCHAR * cpEntry, CStroke m_strokes[40], int m_nStrokeNo, long lBestScore);
	long CKanjiPen::StrokeDicScoreStroke(POINT * points, int iLen, TCHAR * cpPath, int iPathLen, int iDepth);
	long CKanjiPen::ScoreStroke(TCHAR * drawn, int iLen, TCHAR * cpPath, int iPathLen, int iDepth);
	long CKanjiPen::StrokeScorerExtraFilters(CStroke * pStroke, TCHAR * cp);
	int CKanjiPen::StrokeScorerExtraEval(CStroke * pStroke, TCHAR cArg);

	TCHAR * StrokeData;

};

#endif // !defined(AFX_KANJIPEN_H__8D704AF8_9CA5_433E_95CD_6C1C60370088__INCLUDED_)
